commit: c7229aad96391791be76367163545ae110970e77
Author: Piotr Staroszczyk <piotr.staroszczyk <AT> get24 <DOT> org>
AuthorDate: Tue Apr 3 20:58:14 2018 +0000
Commit: Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Fri Apr 6 10:31:30 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7229aad
net-misc/rclone: version bump to 1.40
net-misc/rclone/Manifest | 1 +
net-misc/rclone/rclone-1.40.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/net-misc/rclone/Manifest b/net-misc/rclone/Manifest
index 598544ecb61..700825a1b23 100644
--- a/net-misc/rclone/Manifest
+++ b/net-misc/rclone/Manifest
@@ -1 +1,2 @@
DIST rclone-1.39.tar.gz 38015559 BLAKE2B
534bd0be87e7c8291bfe3acdaff12e9acfddeb42f08067d413184a688b5c0cdfcde78abff3551d81cd2e692a020386116f03842c8390852b2137c2f8342e43f2
SHA512
6e5e5f5e06510f36185d165986cbd3ed994d3cbf97055b4dea37c78af932f89ab8c89249006b829aad38ba43c77ff46f254ba56bcfbae7deca1ebcea555ad884
+DIST rclone-1.40.tar.gz 46067393 BLAKE2B
56bc172965f7f601c8f5c9c72a03ca44b1b41cf280497f7473d318b6667f00df4dac2d104f6fe7daf1529ebedd4d6f4ca5899944e82d68b8fd1b66226264e82f
SHA512
ce46393097122f2ae9669310767487218f74ee8fab607cb6355df33329325fe626d17b36565b7864e6b4ca1de75714e29356d7abeb3cc42038d3ab0677408973
diff --git a/net-misc/rclone/rclone-1.40.ebuild
b/net-misc/rclone/rclone-1.40.ebuild
new file mode 100644
index 00000000000..2c530609ee7
--- /dev/null
+++ b/net-misc/rclone/rclone-1.40.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build bash-completion-r1
+EGO_PN="github.com/ncw/${PN}"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64 ~arm ~x86"
+ EGIT_COMMIT="v${PV}"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="A program to sync files to and from various cloud storage
providers"
+HOMEPAGE="https://rclone.org/"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_install() {
+ dobin ${PN}
+ doman src/${EGO_PN}/${PN}.1
+ dodoc src/${EGO_PN}/README.md
+
+ ./rclone genautocomplete bash ${PN}.bash || die
+ newbashcomp ${PN}.bash ${PN}
+
+ ./rclone genautocomplete zsh ${PN}.zsh || die
+ insinto /usr/share/zsh/site-functions
+ newins ${PN}.zsh _${PN}
+}